
%define name	em8300
%define version	0.16.1
%define rel	1
%define snapshot 0

%if %snapshot
%define release	%mkrel %snapshot.%rel
%else
%define release %mkrel %rel
%endif

Name:		%name
Version:	%version
Release:	%release
URL:		http://dxr3.sourceforge.net/
%if %snapshot
Source0:	%{name}-nofirmware-%{snapshot}.tar.bz2
%else
Source0:	%{name}-nofirmware-%{version}.tar.bz2
%endif
Group:		System/Kernel and hardware
License:	GPL
BuildRequires:	gtk2-devel
# for /usr/share/alsa/alsa.conf
BuildRequires:	libalsa-data
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Utilities for Hollywood plus / DXR3 device driver for Linux
Provides:	perl(em8300)

%description
This package contains utilities that can be used by packages
developed for use with the Hollywood plus or DXR3 MPEG
decoder cards.

You'll also need the non-free microcode for the em8300
device to work, you must download that from
http://dxr3.sourceforge.net/download/em8300.bin to
/lib/firmware/.

%package devel
Summary: Development headers for DXR3 device
Group: Development/Other
Provides: lib%{name}-devel = %{version}-%{release}
Provides: libdxr3-devel = %{version}-%{release}
# The library was only installed as requires of devel package, and was
# never actually used, so we obsolete it here:
Provides: %{_lib}dxr3_0-devel
Obsoletes: %{_lib}dxr3_0-devel
Provides: %{_lib}dxr3_0
Obsoletes: %{_lib}dxr3_0

%description devel
This contains the development headers used when building an
application that will make use of the em8300 driver.

%package -n dkms-%{name}
Summary: Linux kernel module for Hollywood plus / DXR3 devices
Group: System/Kernel and hardware
Requires(post): dkms
Requires(preun): dkms

%description -n dkms-%{name}
This package contains the kernel module for the Hollywood plus
or DXR3 MPEG decoder cards.

Install this package if you wish to use such a card and do not
have the driver in your kernel. You should also install
package em8300.

%prep
%if %snapshot
%setup -q -n %name
%else
%setup -q
%endif

echo > README.urpmi <<EOF
EM8300-devices require a non-free microcode to operate. If you
have not already done so, you have to download
http://dxr3.sourceforge.net/download/em8300.bin to /lib/firmware/.
EOF

%build
%if %snapshot
./bootstrap
%endif
%configure2_5x
%make

%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m644 modules/em8300-udev.rules \
	%{buildroot}%{_sysconfdir}/udev/rules.d/%{name}.rules

install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a modules include %{buildroot}/usr/src/%{name}-%{version}-%{release}
rm -f %{buildroot}/usr/src/%{name}-%{version}-%{release}/modules/em8300-udev.rules
cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="cd modules && make KERNEL_LOCATION=\$kernel_source_dir KERNVER=\$kernelver"
CLEAN="cd modules && make clean"
BUILT_MODULE_NAME[0]="adv717x"
BUILT_MODULE_NAME[1]="bt865"
BUILT_MODULE_NAME[2]="em8300"
BUILT_MODULE_LOCATION[0]="modules"
BUILT_MODULE_LOCATION[1]="modules"
BUILT_MODULE_LOCATION[2]="modules"
DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
DEST_MODULE_LOCATION[1]="/kernel/drivers/video"
DEST_MODULE_LOCATION[2]="/kernel/drivers/video"
AUTOINSTALL=yes
EOF

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
true

%preun -n dkms-%{name}
dkms remove  -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all
true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog modules/README-* modules/INSTALL README.urpmi
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%{_bindir}/*
%{_datadir}/em8300
%{_datadir}/alsa/cards/EM8300.conf
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_includedir}/linux/*

%files -n dkms-%{name}
%defattr(-,root,root)
/usr/src/%{name}-%{version}-%{release}


%changelog
* Fri Mar 02 2007 Anssi Hannula <anssi@mandriva.org> 0.16.1-1mdv2007.0
+ Revision: 130900
- fix buildrequires
- 0.16.1
- disallow non-zero exit status of dkms rpm scripts

* Mon Nov 27 2006 Anssi Hannula <anssi@mandriva.org> 0.16.0-2mdv2007.1
+ Revision: 87697
- raise release
- 0.16.0
- Import em8300



* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.15.3-20060824.2mdv2007.0
- drop useless paragraph from description

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.15.3-20060824.1mdv2007.0
- snapshot (support for recent kernels)
- really include README.urpmi
- fix typo in description

* Mon Jul 10 2006 Anssi Hannula <anssi@mandriva.org> 0.15.3-1mdv2007.0
- 0.15.3
- drop non-free firmware, add notices to description and README.urpmi
- drop HUPing devfsd in %%post, devfsd is obsolete
- use %%buildroot, %%configure2_5x
- buildrequires gtk2-devel instead of gtk-devel now

* Wed Jan  4 2006 Anssi Hannula <anssi@mandriva.org> 0.15.2-1mdk
- 0.15.2
- dkms package
- drop patch1, patch2, fixed upstream
- drop library, unmklibify devel package, obsolete accordingly
- remove em8300setup udev rule, driver now uses hotplug loading
- %%mkrel

* Fri Dec  9 2005 Olivier Blin <oblin@mandriva.com> 0.13.0-10mdk
- add udev rule to run em8300setup
  (migrated dev.d file from the udev package)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-8mdk
- Update modules documentation to be in sync with kernel modules

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-7mdk
- fix buildrequires

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-6mdk
- rebuild for new rpm

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-5mdk
- fix perl provides

* Sun May 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-4mdk
- add missing .so symlink to the devel package

* Wed Apr 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-3mdk
- Fix devel provides/requires

* Sat Apr 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-2mdk
- Patch1: fix em8300setup return code

* Sat Apr 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-1mdk
- Release 0.13.0
- Patch0: fix misc dir location

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-4mdk
- Fix dependencies again..

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-3mdk
- Fix dependencies
- Add missing files
- Add devfs support

* Tue May  7 2002 Stefan van der Eijk <stefan@eijk.nu> 0.12.0-2mdk
- BuildRequires

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Initial Mdk release

* Tue Sep 25 2001 Andrew Meredith <andrew@anvil.org>
- Removed extranious line from devel file list.

* Tue Sep 25 2001 Akos Szabo <fonya@fatav.hu>
- Remove docs section from kmods, and devel
- Added Provides to the kmods

* Tue Mar 13 2001 Andrew Meredith <andrew@anvil.org>
- Added em8300-kmods package

* Mon Mar 12 2001 Andrew Meredith <andrew@anvil.org>
- First draft of rpm package for em8300 including
  both main em8300 and em8300-devel.
